Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.basic
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.jsword.book.basic.Msg

    public final class Msg

extends MsgBase

Compile safe Msg resource settings.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`(package private) static Msg` | `DRIVER_READONLY`
`(package private) static Msg` | `FILTER_FAIL`
`(package private) static Msg` | `INDEX_FAIL`
`(package private) static Msg` | `VERIFY_PASSAGES`
`(package private) static Msg` | `VERIFY_START`
`(package private) static Msg` | `VERIFY_VERSE`
`(package private) static Msg` | `VERIFY_VERSES`
`(package private) static Msg` | `VERIFY_WORDS`
`(package private) static Msg` | `WORD`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DRIVER_READONLY

    static final Msg DRIVER_READONLY

### INDEX_FAIL

    static final Msg INDEX_FAIL

### FILTER_FAIL

    static final Msg FILTER_FAIL

### VERIFY_START

    static final Msg VERIFY_START

### VERIFY_VERSES

    static final Msg VERIFY_VERSES

### VERIFY_VERSE

    static final Msg VERIFY_VERSE

### VERIFY_PASSAGES

    static final Msg VERIFY_PASSAGES

### VERIFY_WORDS

    static final Msg VERIFY_WORDS

### WORD

    static final Msg WORD

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD